<!DOCTYPE html>
<html>
<head>
    <title>Static Here</title>

    <meta charset="UTF-8">
    <meta name="author" content="Lawrence Ching">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link type="text/css" rel="stylesheet" href="//unpkg.com/bootstrap@next/dist/css/bootstrap.min.css"/>
    <link type="text/css" rel="stylesheet" href="//unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.css"/>

    <script src="https://vuejs.org/js/vue.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/filesize/3.5.11/filesize.min.js"></script>

    <script src="//unpkg.com/babel-polyfill@latest/dist/polyfill.min.js"></script>
    <script src="//unpkg.com/tether@latest/dist/js/tether.min.js"></script>
    <script src="//unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.js"></script>
</head>
<body>
    <div id="app">
        <table class="table">
            <thead class="thead-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">File</th>
                <th scope="col">Size</th>
            </tr>
            </thead>
            <tbody class="table-striped">
            <tr v-for="(file, index) in files">
                <th scope="row">{{index + 1}}</th>
                <td><a :href="file.path">{{ file.name }}</a></td>
                <td>{{ getGracefulSize(file.size) }}</td>
            </tr>
            </tbody>
        </table>
    </div>

    <script>
        const app = new Vue({
            el: '#app',
            data: {
                fields: [ 'name', 'size' ],
                files: <!--Replace file list here-->,
            },
            methods: {
                getGracefulSize (size) {
                    return filesize(size, {exponent: 2});
                }
            }
        });

    </script>
</body>
</html>